This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 719251 - [Add Bug]Unselect case to add bug, wrong reaction and wrong warning.
[Add Bug]Unselect case to add bug, wrong reaction and wrong warning.
Status: CLOSED DEFERRED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.4.1
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
: TestOnly
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-06 05:01 EDT by Guoping Feng
Modified: 2011-12-26 01:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-26 01:32:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Guoping Feng 2011-07-06 05:01:31 EDT
Description of problem:
In a run view, select no case and click the the "Add" of "Bugs" label, the reaction is that the input box for bug id comes out.
Then if you choose cancel, there comes up a confirm box warning "Please specify bug ID".
If you input a valid bug id, there is a confirm box warning "Please specify only integers for bugs, caseruns(using comma to seperate IDs), and bug_system. (DEBUG INFO: invalid literal for int(): )".

Version-Release number of selected component (if applicable):
TCMS 3.4.1-2 - stage 

How reproducible:
100%

Steps to Reproduce:
1.Enter into a run.
2.Choose none cases.
3.Click "Add bug" button
  
Actual results:
When choosing none cases, the input box for bug id still comes out.
Then if you choose "cancel" button in the box or input nothing and click the "add" button, there comes up a confirm box warning "Please specify bug ID".
If you input a valid bug id and click the "add" button, then there comes out a confirm box warning "Please specify only integers for bugs, caseruns(using comma to seperate IDs), and bug_system. (DEBUG INFO: invalid literal for int(): )"

Expected results:
After clicking "Add bug" button, a warning box should come out.

Additional info:
Comment 1 Guoping Feng 2011-07-06 05:05:18 EDT
In a run view, unselect case and add comment,also the same wrong reaction in that the input box for inputting comment should not come out.
Comment 2 Danqing Li 2011-12-26 01:32:55 EST
Deferred to 4.0

Note You need to log in before you can comment on or make changes to this bug.